﻿# coding: utf-8
#DESC:プリセット: Angstrom Unitのmolファイルを開くスクリプト

from molFeat import *

def run():

  if len(sys.argv) != 2:
    print "ERROR: 引数が間違っています"
    print "引数1: 読み込むmolファイルのパス"
    return

  path = sys.argv[1]; # ファイルのパス

  if os.path.isfile(path) == False:
    print "ERROR: ファイルが存在しません"
    return

  # ファイルを開く
  importFile(path)

  # Angstrom Unitへの座標変換
  atomCoords = list(getAtomCoordinates())
  newAtomCoords = []
  for i in range(len(atomCoords)):
    x = atomCoords[i][0] * 0.5291772109217
    y = atomCoords[i][1] * 0.5291772109217
    z = atomCoords[i][2] * 0.5291772109217
    newAtomCoords.append((x,y,z))
  setAtomCoordinates(newAtomCoords)

  # 分子を中央に表示
  zoomMolecule()


if __name__ == '__main__':
  run()